GRDVOLUME(l)

NAME
grdvolume - Calculating volume under a surface within a contour

SYNOPSIS
grdvolume grdfile [ -Ccval or -Clow/high/delta ] [ -Lbase ] [ -Rwest/east/south/north[r] ] [ -S[k] ] [ -T ] [ -V[l] ] [ -Zfact[/delta] ]

DESCRIPTION
grdvolume reads a 2-D binary grd file and calculates the volume contained between the surface and the plane specified by the given contour (or zero if not given). Alternatively, specify a range of contours to be tried and grdvolume will determine the volume and area inside the contour for all contour values. The contour that produced the maximum mean height (volume/area) is reported as well. This feature may be used with grdfilter in designing an Optimal Robust Separator [Wessel, 1998].

grdfile
    The name of the input 2-D binary grd file.

OPTIONS
No space between the option flag and the associated arguments.

-C  find area and volume inside the cval contour. Alternatively, search using all contours from low to high in steps of delta. [Default returns entire area and volume of grid]. The area is measured in the plane of the countour.

-L  Also add in the volume from the level of the contour down to base [Default base is contour].

-S  Convert degrees to meters, append k for km [Default is Cartesian].

-T  Use curvature minimum rather than maximum height to find best contour value (when contour search is selected with -C).

-R  west, east, south, and north specify the Region of interest. To specify boundaries in degrees and minutes [and seconds], use the dd:mm[:ss] format. Append r if lower left and upper right map coordinates are given instead of wesn.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"]. Append l to see all the results for each contour level tested (when contour search has been selected).

-Z  Optionally subtract shift before scaling data by fact. [Default is no scaling]. (Numbers in -C, -L refer to values after this scaling has occurred).

EXAMPLES
To determine the volume in km^3 under the surface hawaii_topo.grd (height in km), try

grdvolume hawaii_topo.grd -Sk

To find the volume between the surface peaks.grd and the contour z = 250, use

grdvolume peaks.grd -Sk -C250

To search for the contour, between 100 and 300 in steps of 10, that maximizes the ratio of volume to surface area for the file peaks.grd, use

grdvolume peaks.grd -Sk -C100/300/10 > results.d

To see the areas and volumes for all the countours in the previous example, try

grdvolume peaks.grd -Sk -Vl -C100/300/10 > results.d

SEE ALSO
gmt(1gmt), grdfilter(1gmt)

REFERENCES
Wessel, P., 1998, An empirical method for optimal robust regional-residual separation of geophysical data, Math. Geol., 30(4), 391-408.